%define	name	lua4
%define	version	4.0.1
%define	release	%mkrel 5

%define	realname lua

%define	major	4
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} %major -d



Summary:	Lua is a powerful, light-weight programming language
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable
URL:		http://www.lua.org/
Group:		Development/Other
Source0:	%{realname}-%{version}.tar.bz2
Patch0:		%{realname}-config.patch.bz2
Patch1:		lua-4.0.1-mdkconf.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lua is a programming language originally designed for extending applications, 
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data 
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in 
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

%package -n	%{libname}
Summary :	Lua is a powerful, light-weight programming language
Group:		System/Libraries

%description -n	%{libname}
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package includes the libraries.

%package -n	%{libname}-devel
Summary:	Lua is a powerful, light-weight programming language
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{libname}-devel = %{version}-%{release} lib%{realname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} %{realname}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{libname}-devel
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%make OPTFLAGS="$RPM_OPT_FLAGS -fPIC"
%make so

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} INSTALL_LIB=%buildroot%_libdir

# for update-alternatives
mv $RPM_BUILD_ROOT%{_bindir}/lua $RPM_BUILD_ROOT%{_bindir}/lua%{major}
mv $RPM_BUILD_ROOT%{_bindir}/luac $RPM_BUILD_ROOT%{_bindir}/luac%{major}

mv $RPM_BUILD_ROOT%{_mandir}/man1/lua.1 $RPM_BUILD_ROOT%{_mandir}/man1/lua4.1
mv $RPM_BUILD_ROOT%{_mandir}/man1/luac.1 $RPM_BUILD_ROOT%{_mandir}/man1/luac4.1


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} 
/sbin/ldconfig
update-alternatives --install %{_bindir}/lua lua %{_bindir}/lua%{major} %{major} --slave %{_bindir}/luac luac %{_bindir}/luac%{major}


%postun -n %{libname}
/sbin/ldconfig
[[ ! -f %{_bindir}/lua%{major} ]] && update-alternatives --remove lua %{_bindir}/lua%{major}

%files -n %{libname}
%defattr (-,root,root)
%doc COPYRIGHT HISTORY INSTALL MANIFEST README
%doc doc/*.html doc/*.gif
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Sun Apr 10 2005 Olivier Thauvin <nanardon@mandrake.org> 4.0.1-5mdk
- fix libdir location for 64bits arch

* Sat Mar 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.0.1-4mdk
- add update-alternatives

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0.1-3mdk
- rebuild with -fPIC

* Fri Jul 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.1-2mdk
- cleanups
- fix provides
- compile with $RPM_OPT_FLAGS
- compile with -fPIC

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.1-1mdk
- reintroduce for nekeme prod stuff
- rename lua srpm to lua4

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-4mdk
- Fix -devel dependencies

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-3mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- apply library policy

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- new in contribs

